const mgTableBorderTypes = ["default", "outer", "full"];
var TableProps = {
  borderType: {
    type: String,
    values: mgTableBorderTypes,
    default: "outer"
  },
  cfg: {
    type: Array,
    default: () => []
  },
  pageCfg: {
    type: Object,
    default() {
      return {
        total: 0,
        layout: ["prev", "pager", "next"].join(", ")
      };
    }
  }
};

export { TableProps as default, mgTableBorderTypes };
//# sourceMappingURL=constant.mjs.map
