'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const mgTableBorderTypes = ["default", "outer", "full"];
var TableProps = {
  borderType: {
    type: String,
    values: mgTableBorderTypes,
    default: "outer"
  },
  cfg: {
    type: Array,
    default: () => []
  },
  pageCfg: {
    type: Object,
    default() {
      return {
        total: 0,
        layout: ["prev", "pager", "next"].join(", ")
      };
    }
  }
};

exports["default"] = TableProps;
exports.mgTableBorderTypes = mgTableBorderTypes;
//# sourceMappingURL=constant.js.map
